diff -crN nakedmudv1.4/lib/world/1/mobs nakedmudv1.5/lib/world/1/mobs
*** nakedmudv1.4/lib/world/1/mobs	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.5/lib/world/1/mobs	2010-11-01 15:54:17.000000000 -0500
***************
*** 11,48 ****
      control.  There is always a bounce to her step, and fire in her eyes.  She 
      seems like she's quite the feisty one.
    level     : 2
!   sex       : 0
!   race      : 0
    dialog    : 100
    auxiliary :-
      stat_data        :-
        health          : 5
        curr_health     : 5
-       endurance       : 5
-       curr_endurance  : 0
        power           : 5
        curr_power      : 0
!       balance         : 5
!       curr_balance    : 0
        courage         : 5
        curr_courage    : 0
-       speed           : 5
-       curr_speed      : 0
        control         : 5
        curr_control    : 0
!       awareness       : 5
!       curr_awareness  : 0
        personality     : 5
        curr_personality: 0
-       luck            : 5
-       curr_luck       : 0
        -
      script_aux_data  :-
        scripts:=
-         vnum: 140
-         -
          vnum: 150
          -
        -
      -
    -
--- 11,42 ----
      control.  There is always a bounce to her step, and fire in her eyes.  She 
      seems like she's quite the feisty one.
    level     : 2
!   sex       : 1
!   race      : human
    dialog    : 100
    auxiliary :-
      stat_data        :-
        health          : 5
        curr_health     : 5
        power           : 5
        curr_power      : 0
!       awareness       : 5
!       curr_awareness  : 0
        courage         : 5
        curr_courage    : 0
        control         : 5
        curr_control    : 0
!       speed           : 5
!       curr_speed      : 0
        personality     : 5
        curr_personality: 0
        -
      script_aux_data  :-
        scripts:=
          vnum: 150
          -
+         vnum: 140
+         -
        -
      -
    -
***************
*** 57,93 ****
      ladies walking by the bar.
    level     : 2
    sex       : 0
!   race      : 0
    dialog    : 101
    auxiliary :-
      stat_data        :-
        health          : 5
        curr_health     : 5
-       endurance       : 5
-       curr_endurance  : 0
        power           : 5
        curr_power      : 0
!       balance         : 5
!       curr_balance    : 0
        courage         : 5
        curr_courage    : 0
-       speed           : 5
-       curr_speed      : 0
        control         : 5
        curr_control    : 0
!       awareness       : 5
!       curr_awareness  : 0
        personality     : 5
        curr_personality: 0
-       luck            : 5
-       curr_luck       : 0
        -
      script_aux_data  :-
        scripts:=
-         vnum: 151
-         -
          vnum: 141
          -
        -
      -
    -
--- 51,81 ----
      ladies walking by the bar.
    level     : 2
    sex       : 0
!   race      : human
    dialog    : 101
    auxiliary :-
      stat_data        :-
        health          : 5
        curr_health     : 5
        power           : 5
        curr_power      : 0
!       awareness       : 5
!       curr_awareness  : 0
        courage         : 5
        curr_courage    : 0
        control         : 5
        curr_control    : 0
!       speed           : 5
!       curr_speed      : 0
        personality     : 5
        curr_personality: 0
        -
      script_aux_data  :-
        scripts:=
          vnum: 141
          -
+         vnum: 151
+         -
        -
      -
    -
***************
*** 102,131 ****
      has a large, bulbous nose and squinty, black eyes.
    level     : 1
    sex       : 0
!   race      : 0
    dialog    : 102
    auxiliary :-
      stat_data        :-
        health          : 5
        curr_health     : 5
-       endurance       : 5
-       curr_endurance  : 0
        power           : 5
        curr_power      : 0
!       balance         : 5
!       curr_balance    : 0
        courage         : 5
        curr_courage    : 0
-       speed           : 5
-       curr_speed      : 0
        control         : 5
        curr_control    : 0
!       awareness       : 5
!       curr_awareness  : 0
        personality     : 5
        curr_personality: 0
-       luck            : 5
-       curr_luck       : 0
        -
      -
    -
--- 90,113 ----
      has a large, bulbous nose and squinty, black eyes.
    level     : 1
    sex       : 0
!   race      : human
    dialog    : 102
    auxiliary :-
      stat_data        :-
        health          : 5
        curr_health     : 5
        power           : 5
        curr_power      : 0
!       awareness       : 5
!       curr_awareness  : 0
        courage         : 5
        curr_courage    : 0
        control         : 5
        curr_control    : 0
!       speed           : 5
!       curr_speed      : 0
        personality     : 5
        curr_personality: 0
        -
      -
    -
***************
*** 143,172 ****
    multiname : a group of %d bar flies
    level     : 2
    sex       : 0
!   race      : 0
    dialog    : -1
    auxiliary :-
      stat_data        :-
        health          : 5
        curr_health     : 5
-       endurance       : 5
-       curr_endurance  : 0
        power           : 5
        curr_power      : 0
!       balance         : 5
!       curr_balance    : 0
        courage         : 5
        curr_courage    : 0
-       speed           : 5
-       curr_speed      : 0
        control         : 5
        curr_control    : 0
!       awareness       : 5
!       curr_awareness  : 0
        personality     : 5
        curr_personality: 0
-       luck            : 5
-       curr_luck       : 0
        -
      -
    -
--- 125,148 ----
    multiname : a group of %d bar flies
    level     : 2
    sex       : 0
!   race      : human
    dialog    : -1
    auxiliary :-
      stat_data        :-
        health          : 5
        curr_health     : 5
        power           : 5
        curr_power      : 0
!       awareness       : 5
!       curr_awareness  : 0
        courage         : 5
        curr_courage    : 0
        control         : 5
        curr_control    : 0
!       speed           : 5
!       curr_speed      : 0
        personality     : 5
        curr_personality: 0
        -
      -
    -
diff -crN nakedmudv1.4/lib/world/1/mobs~ nakedmudv1.5/lib/world/1/mobs~
*** nakedmudv1.4/lib/world/1/mobs~	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.5/lib/world/1/mobs~	2010-11-01 15:54:17.000000000 -0500
***************
*** 0 ****
--- 1,149 ----
+ list:=
+   vnum      : 100
+   name      : Mysty
+   keywords  : mysty, blonde, waitress
+   rdesc     : A small, buxom blonde is here, serving the tavern patrons.
+   desc      :~
+        She's a rather petite woman - just over five feet.  She has long, curly 
+     blonde hair that hangs down past her shoulders.  Her low-cut, white cotton 
+     shirt reveals her cleavage - and quite a bit of cleavage at that!  She darts 
+     from table to table, always carrying a tray of drinks with amazing balance and 
+     control.  There is always a bounce to her step, and fire in her eyes.  She 
+     seems like she's quite the feisty one.
+   level     : 2
+   sex       : 1
+   race      : 0
+   dialog    : 100
+   auxiliary :-
+     stat_data        :-
+       health          : 5
+       curr_health     : 5
+       power           : 5
+       curr_power      : 0
+       awareness       : 5
+       curr_awareness  : 0
+       courage         : 5
+       curr_courage    : 0
+       control         : 5
+       curr_control    : 0
+       speed           : 5
+       curr_speed      : 0
+       personality     : 5
+       curr_personality: 0
+       -
+     script_aux_data  :-
+       scripts:=
+         vnum: 150
+         -
+         vnum: 140
+         -
+       -
+     -
+   -
+   vnum      : 101
+   name      : Julesz
+   keywords  : Julesz, bartender, man
+   rdesc     : A handsome, darkhaired man is here, standing behind the bar.
+   desc      :~
+        He is about average height, with short black hair and piercing grey eyes.
+     He has an air about him that screams mischief.  He looks quite preoccupied 
+     pouring drinks, but you notice he never gets too busy to not glance at the 
+     ladies walking by the bar.
+   level     : 2
+   sex       : 0
+   race      : 0
+   dialog    : 101
+   auxiliary :-
+     stat_data        :-
+       health          : 5
+       curr_health     : 5
+       power           : 5
+       curr_power      : 0
+       awareness       : 5
+       curr_awareness  : 0
+       courage         : 5
+       curr_courage    : 0
+       control         : 5
+       curr_control    : 0
+       speed           : 5
+       curr_speed      : 0
+       personality     : 5
+       curr_personality: 0
+       -
+     script_aux_data  :-
+       scripts:=
+         vnum: 141
+         -
+         vnum: 151
+         -
+       -
+     -
+   -
+   vnum      : 102
+   name      : a gruff looking man
+   keywords  : garod, gruff, man
+   rdesc     : A gruff looking man is here, keeping to himself.
+   desc      :~
+        If surly had a poster child, he would be it.  His face is pocked, and he 
+     has a sour look on his face.  His eyebrows are thick and bushy, and he has 
+     a scraggly beard that looks like it has been growing for a few weeks.  He 
+     has a large, bulbous nose and squinty, black eyes.
+   level     : 1
+   sex       : 0
+   race      : 0
+   dialog    : 102
+   auxiliary :-
+     stat_data        :-
+       health          : 5
+       curr_health     : 5
+       power           : 5
+       curr_power      : 0
+       awareness       : 5
+       curr_awareness  : 0
+       courage         : 5
+       curr_courage    : 0
+       control         : 5
+       curr_control    : 0
+       speed           : 5
+       curr_speed      : 0
+       personality     : 5
+       curr_personality: 0
+       -
+     -
+   -
+   vnum      : 130
+   name      : a barfly
+   keywords  : barfly
+   rdesc     : A barfly is here, mulling about.
+   desc      :~
+        He is middle aged, and looks like he has led a pretty tough life.  His 
+     hands look strong and calloused.  He might be a miner, or perhaps some kind 
+     of tradesman.  His face is slightly pocked, and his eyebrows are big and 
+     bushy.  He looks a bit too preoccupied with his mug of ale to pay you much 
+     attention.
+   multirdesc: A group of %d barflies are here, mulling about.
+   multiname : a group of %d bar flies
+   level     : 2
+   sex       : 0
+   race      : 0
+   dialog    : -1
+   auxiliary :-
+     stat_data        :-
+       health          : 5
+       curr_health     : 5
+       power           : 5
+       curr_power      : 0
+       awareness       : 5
+       curr_awareness  : 0
+       courage         : 5
+       curr_courage    : 0
+       control         : 5
+       curr_control    : 0
+       speed           : 5
+       curr_speed      : 0
+       personality     : 5
+       curr_personality: 0
+       -
+     -
+   -
+ -
diff -crN nakedmudv1.4/lib/world/1/objs~ nakedmudv1.5/lib/world/1/objs~
*** nakedmudv1.4/lib/world/1/objs~	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.5/lib/world/1/objs~	2010-11-01 15:54:17.000000000 -0500
***************
*** 0 ****
--- 1,134 ----
+ list:=
+   value 2   : 0
+   bits      : 
+   rdesc     : A revealing, white cotton shirt is lying here.
+   value 0   : 0
+   subtype   : 0
+   desc      :~
+        It is a white cotton shirt, with a rather low cot v-line that would reveal 

+     qutie a bit.  It is small, and looks lke it was made for a rather petite 

+     woman.

+   value 3   : 0
+   type      : 2
+   auxiliary :-
+     script_aux_data:-
+       scripts:=
+       -
+     -
+   value 1   : 0
+   multirdesc: A pile of %d white cotton shirts has formed, here.
+   name      : a white cotton shirt
+   vnum      : 100
+   contents  :=
+   edescs    :-
+     list:=
+     -
+   multiname : %d white cotton shirts
+   keywords  : shirt
+   -
+   value 2   : 0
+   bits      : 
+   rdesc     : A pair of long, dangly earrings are lying here.
+   value 0   : 0
+   subtype   : 4
+   desc      :~
+      They are made of long, dangly strips of green-grey metal, and shimmer 

+     whenever they are turned in the light.

+   value 3   : 0
+   type      : 2
+   auxiliary :-
+     script_aux_data:-
+       scripts:=
+       -
+     -
+   value 1   : 0
+   multirdesc: %d pairs of long, dangly earrings are lying here.
+   name      : a pair of long, dangly earrings
+   vnum      : 101
+   contents  :=
+   edescs    :-
+     list:=
+     -
+   multiname : %d sets of long dangly earrings
+   keywords  : earrings
+   -
+   value 2   : 0
+   bits      : a
+   rdesc     : A circular wooden table is here.
+   value 0   : 5
+   subtype   : 0
+   desc      :~
+        It is made of wood, and is circular.  It stands about four feet off 

+     the ground, and has a few chairs seated around it.  It looks like it 

+     could seat about four or five people at it.

+   value 3   : 0
+   type      : 4
+   auxiliary :-
+     script_aux_data:-
+       scripts:=
+       -
+     -
+   value 1   : 0
+   multirdesc: There are %d empty wooden tables clustered about the tavern.
+   name      : a wooden table
+   vnum      : 120
+   contents  :=
+   edescs    :-
+     list:=
+     -
+   multiname : %d wooden tables
+   keywords  : table
+   -
+   value 2   : 0
+   bits      : a
+   rdesc     : A long bar counter is here, lined with seats.
+   value 0   : 12
+   subtype   : 0
+   desc      :~
+        It is about twenty feet long, and it is lined with stools.  It is made 

+     out of a polished, dark wood.

+   value 3   : 0
+   type      : 4
+   auxiliary :-
+     script_aux_data:-
+       scripts:=
+       -
+     -
+   value 1   : 0
+   multirdesc: 
+   name      : the bar
+   vnum      : 130
+   contents  :=
+   edescs    :-
+     list:=
+     -
+   multiname : 
+   keywords  : bar
+   -
+   value 2   : 0
+   bits      : 
+   rdesc     : a pint glass has been left here.
+   value 0   : 0
+   subtype   : 0
+   desc      :~
+        It looks like a typical pint glass.  Its base is a bit smaller than its 

+     top, and it has a little bulge about four fifths of the way up the glass.

+   value 3   : 0
+   type      : 0
+   auxiliary :-
+     script_aux_data:-
+       scripts:=
+       -
+     -
+   value 1   : 0
+   multirdesc: %d pint glasses are scattered about.
+   name      : a pint glass
+   vnum      : 141
+   contents  :=
+   edescs    :-
+     list:=
+     -
+   multiname : %d pint glasses
+   keywords  : pintglass, glass
+   -
+ -
diff -crN nakedmudv1.4/lib/world/1/rooms nakedmudv1.5/lib/world/1/rooms
*** nakedmudv1.4/lib/world/1/rooms	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.5/lib/world/1/rooms	2010-11-01 15:54:17.000000000 -0500
***************
*** 14,29 ****
    terrain  : 0
    edescs   :-
      list:=
-       keywords: stage
-       desc    :~
-            There is stage not too far to the north.  Currently, it appears to 
-         be empty.
-       -
        keywords: fireplace
        desc    :~
             The fireplace looks to be blazing quite brightly.  There are a few groups 
          of people at tables scattered around it.
        -
      -
    exits    :=
      desc      :~
--- 14,29 ----
    terrain  : 0
    edescs   :-
      list:=
        keywords: fireplace
        desc    :~
             The fireplace looks to be blazing quite brightly.  There are a few groups 
          of people at tables scattered around it.
        -
+       keywords: stage
+       desc    :~
+            There is stage not too far to the north.  Currently, it appears to 
+         be empty.
+       -
      -
    exits    :=
      desc      :~
***************
*** 69,74 ****
--- 69,81 ----
      direction : southwest
      -
    reset    :=
+     type    : 0
+     times   : 4
+     chance  : 100
+     max     : 0
+     room_max: 4
+     arg     : 120
+     -
      type    : 1
      times   : 1
      chance  : 100
***************
*** 81,103 ****
        chance  : 100
        max     : 0
        room_max: 0
!       arg     : 100
        -
        type    : 0
        times   : 1
        chance  : 100
        max     : 0
        room_max: 0
!       arg     : 101
        -
      -
-     type    : 0
-     times   : 4
-     chance  : 100
-     max     : 0
-     room_max: 4
-     arg     : 120
-     -
    -
    name     : At the Bar
    desc     :~
--- 88,103 ----
        chance  : 100
        max     : 0
        room_max: 0
!       arg     : 101
        -
        type    : 0
        times   : 1
        chance  : 100
        max     : 0
        room_max: 0
!       arg     : 100
        -
      -
    -
    name     : At the Bar
    desc     :~
***************
*** 113,128 ****
    terrain  : 0
    edescs   :-
      list:=
-       keywords: stage
-       desc    :~
-            You can see an entertainment stage on the far north end of the bar.
-           It appears to be empty, currently.
-       -
        keywords: fireplace
        desc    :~
             There is a fireplace burning to the northwest.  Many people seem to 
          be scattered around it, chatting.
        -
      -
    exits    :=
      desc      :~
--- 113,128 ----
    terrain  : 0
    edescs   :-
      list:=
        keywords: fireplace
        desc    :~
             There is a fireplace burning to the northwest.  Many people seem to 
          be scattered around it, chatting.
        -
+       keywords: stage
+       desc    :~
+            You can see an entertainment stage on the far north end of the bar.
+           It appears to be empty, currently.
+       -
      -
    exits    :=
      desc      :~
***************
*** 158,178 ****
      direction : northwest
      -
    reset    :=
-     type    : 1
-     times   : 1
-     chance  : 100
-     max     : 1
-     room_max: 0
-     arg     : 101
-     in      :=
-       type    : 0
-       times   : 5
-       chance  : 100
-       max     : 0
-       room_max: 0
-       arg     : 141
-       -
-     -
      type    : 0
      times   : 1
      chance  : 100
--- 158,163 ----
***************
*** 188,193 ****
--- 173,193 ----
        arg     : 130
        -
      -
+     type    : 1
+     times   : 1
+     chance  : 100
+     max     : 1
+     room_max: 0
+     arg     : 101
+     in      :=
+       type    : 0
+       times   : 5
+       chance  : 100
+       max     : 0
+       room_max: 0
+       arg     : 141
+       -
+     -
    -
    name     : By the Stage
    desc     :~
***************
*** 308,314 ****
        -
      -
    -
!   name     : A New Buildwalk Room
    desc     :~
         There is a large fireplace here, burning away merrily.  Many people are 
      here, scattered around it at various tables.  The warmth of the fire is 
--- 308,314 ----
        -
      -
    -
!   name     : By the Fireplace
    desc     :~
         There is a large fireplace here, burning away merrily.  Many people are 
      here, scattered around it at various tables.  The warmth of the fire is 
***************
*** 322,336 ****
    terrain  : 0
    edescs   :-
      list:=
!       keywords: fire, fireplace
!       desc    :~
!            It blazes bright and warm.  The heat it gives off is rather soothing, 
!         and you can't help but feel relaxed around it.
!       -
!       keywords: bar
        desc    :~
!            You see the bar off to the southeast.  It looks like it is filling 
!         up rather quickly.
        -
        keywords: corner
        desc    :~
--- 322,331 ----
    terrain  : 0
    edescs   :-
      list:=
!       keywords: stage
        desc    :~
!            There is a small entertainment stage to the northeast.  It looks empty at 
!         the moment.
        -
        keywords: corner
        desc    :~
***************
*** 338,347 ****
          sitting over there, but most are alone and do not look like they want to 
          be disturbed.
        -
!       keywords: stage
        desc    :~
!            There is a small entertainment stage to the northeast.  It looks empty at 
!         the moment.
        -
      -
    exits    :=
--- 333,347 ----
          sitting over there, but most are alone and do not look like they want to 
          be disturbed.
        -
!       keywords: bar
        desc    :~
!            You see the bar off to the southeast.  It looks like it is filling 
!         up rather quickly.
!       -
!       keywords: fire, fireplace
!       desc    :~
!            It blazes bright and warm.  The heat it gives off is rather soothing, 
!         and you can't help but feel relaxed around it.
        -
      -
    exits    :=
diff -crN nakedmudv1.4/lib/world/1/rooms~ nakedmudv1.5/lib/world/1/rooms~
*** nakedmudv1.4/lib/world/1/rooms~	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.5/lib/world/1/rooms~	2010-11-01 15:54:17.000000000 -0500
***************
*** 0 ****
--- 1,211 ----
+ list:=
+   desc     :~
+        This looks like quite the popular place; many tables are scattered around 

+     the tavern.  Groups of people huddle around them.  Some chat amongst 

+     themselves, some are playing card and dice games, and others are simply 

+     watching the entertainment stage to the north.  The bar is to the south.

+     People are lined up all along it, but you can spot a few open seats.  There 

+     are also a couple empty tables scattered throughout the tavern.  To the north, 

+     you see a small entertainment stage which seems to be attracting quite the 

+     crowd.

+   auxiliary:-
+     time_aux_data  :-
+       night_desc: 
+       -
+     script_aux_data:-
+       scripts:=
+         vnum: 100
+         -
+       -
+     -
+   terrain  : 0
+   vnum     : 100
+   name     : Within a Tavern
+   exits    :=
+     pick_level: 0
+     key       : -1
+     desc      :~
+          The entertainment stage is directly to your north.  Quite a few people have 

+       gathered around it, and it looks like there is a performance going on.

+     closable  : 0
+     enter     : 
+     direction : north
+     hide_level: 0
+     to        : 102
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+     pick_level: 0
+     key       : -1
+     desc      :~
+        You see a rather crowded bar to the south.  There are still a couple of 

+       stools left, but it looks to be filling up fast.

+     closable  : 0
+     enter     : 
+     direction : south
+     hide_level: 0
+     to        : 101
+     leave     : $n makes $s way to the bar.
+     name      : going to the bar
+     keywords  : 
+     -
+     pick_level: 0
+     key       : -1
+     desc      :~
+          The light does not really get to that corner of the tavern.  A few people 

+       sit around tables, but most of them appear to be alone and not wanting any 

+       company.

+     closable  : 0
+     enter     : 
+     direction : southwest
+     hide_level: 0
+     to        : 103
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+   edescs   :-
+     list:=
+     -
+   -
+   desc     :~
+        The bar is fairly busy, but you notice a couple of stools left unoccupied.

+     Servers come past now and then, picking up trays of drinks for their 

+     customers.  Most of the customers at the bar seem to be older on in the years, 

+     paying more attention to their drinks than to the crowd.  The bartenders all 

+     seem to be busy with preparing drinks for the customers.  A crowd seems to be 

+     gathering to the north, by the entertainment stage.  It looks like there is 

+     some sort of performance going on.

+   auxiliary:-
+     time_aux_data  :-
+       night_desc: 
+       -
+     script_aux_data:-
+       scripts:=
+         vnum: 101
+         -
+       -
+     -
+   terrain  : 0
+   vnum     : 101
+   name     : At the Bar
+   exits    :=
+     pick_level: 0
+     key       : -1
+     desc      :~
+          There are various tables scattered about, occupied by groups of people.  At 

+       the northern end of the tavern, you see a small entertainment stage which 

+       seems to have gathered quite the crowd.

+     closable  : 0
+     enter     : 
+     direction : north
+     hide_level: 0
+     to        : 100
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+     pick_level: 0
+     key       : -1
+     desc      :~
+          The light does not really get to that corner of the tavern.  A few people 

+       sit around tables, but most of them appear to be alone and not wanting any 

+       company.

+     closable  : 0
+     enter     : 
+     direction : west
+     hide_level: 0
+     to        : 103
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+   edescs   :-
+     list:=
+     -
+   -
+   desc     :~
+     This room was created by Alister.

+   auxiliary:-
+     time_aux_data  :-
+       night_desc: 
+       -
+     script_aux_data:-
+       scripts:=
+       -
+     -
+   terrain  : 0
+   vnum     : 102
+   name     : By the Stage
+   exits    :=
+     pick_level: 0
+     key       : -1
+     desc      :~
+        Tables are scattered about.  Most of them have groups of people sitting at 

+       them.  At the south end of the tavern, you see the bar.

+     closable  : 0
+     enter     : 
+     direction : south
+     hide_level: 0
+     to        : 100
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+   edescs   :-
+     list:=
+     -
+   -
+   desc     :~
+        The light is much more dim in here than it is in the rest of the tavern.

+     There are also quite a few less people sitting in this area of the tavern.

+     Most that are seem to be keeping to themselves, and don't appear to want 

+     much to do with strangers.

+   auxiliary:-
+     time_aux_data  :-
+       night_desc: 
+       -
+     script_aux_data:-
+       scripts:=
+       -
+     -
+   terrain  : 0
+   vnum     : 103
+   name     : A Poorly Lit Corner
+   exits    :=
+     pick_level: 0
+     key       : -1
+     desc      :~
+          To the east, you see the bar.  It looks like it is starting to fill up 

+       quick, but you spot a couple open stools.  The bartenders look like they are 

+       quite busy with all the customers.

+     closable  : 0
+     enter     : 
+     direction : east
+     hide_level: 0
+     to        : 101
+     leave     : $n makes $s way towards the bar.
+     name      : 
+     keywords  : 
+     -
+     pick_level: 0
+     key       : -1
+     desc      :~
+          There are various tables scattered about, occupied by groups of people.  At 

+       the northern end of the tavern, you see a small entertainment stage which 

+       seems to have gathered quite the crowd.

+     closable  : 0
+     enter     : 
+     direction : northeast
+     hide_level: 0
+     to        : 100
+     leave     : 
+     name      : 
+     keywords  : 
+     -
+   edescs   :-
+     list:=
+     -
+   -
+ -
diff -crN nakedmudv1.4/lib/world/1/zone nakedmudv1.5/lib/world/1/zone
*** nakedmudv1.4/lib/world/1/zone	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.5/lib/world/1/zone	2010-11-01 15:54:17.000000000 -0500
***************
*** 1,10 ****
  vnum       : 1
  min        : 100
  max        : 199
! pulse_timer: -1
  name       : The "Proof of Concept" zone
  desc       :~
       The ambition of this zone is to act as a repository for "proofs of 
    concept".  Hopefully, there will be enough examples in this zone to act as a 
  editors    : Alister
  -
--- 1,18 ----
  vnum       : 1
  min        : 100
  max        : 199
! pulse_timer: 1
  name       : The "Proof of Concept" zone
  desc       :~
       The ambition of this zone is to act as a repository for "proofs of 
    concept".  Hopefully, there will be enough examples in this zone to act as a 
  editors    : Alister
+ auxiliary  :-
+   zone_map_data :-
+     zone_display_map: 0
+     -
+   autopilot_data:-
+     autopilot_on: 0
+     -
+   -
  -
diff -crN nakedmudv1.4/lib/world/1/zone~ nakedmudv1.5/lib/world/1/zone~
*** nakedmudv1.4/lib/world/1/zone~	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.5/lib/world/1/zone~	2010-11-01 15:54:17.000000000 -0500
***************
*** 0 ****
--- 1,10 ----
+ pulse_timer: -1
+ editors    : Alister
+ max        : 199
+ desc       :~
+      The ambition of this zone is to act as a repository for "proofs of 

+   concept".  Hopefully, there will be enough examples in this zone to act as a 

+ name       : The "Proof of Concept" zone
+ vnum       : 1
+ min        : 100
+ -
diff -crN nakedmudv1.4/src/alias/alias.c nakedmudv1.5/src/alias/alias.c
*** nakedmudv1.4/src/alias/alias.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv1.5/src/alias/alias.c	2010-11-01 15:54:17.000000000 -0500
***************
*** 88,98 ****
    const char       *name = NULL;
    const char        *cmd = NULL;
  
!   store_list(set, "aliases", list, NULL);
    ITERATE_HASH(name, cmd, hash_i) {
      STORAGE_SET *alias_set = new_storage_set();
!     store_string(alias_set, "key", name, NULL);
!     store_string(alias_set, "val", hashIteratorCurrentVal(hash_i), NULL);
      storage_list_put(list, alias_set);
    }
    deleteHashIterator(hash_i);
--- 88,98 ----
    const char       *name = NULL;
    const char        *cmd = NULL;
  
!   store_list(set, "aliases", list);
    ITERATE_HASH(name, cmd, hash_i) {
      STORAGE_SET *alias_set = new_storage_set();
!     store_string(alias_set, "key", name);
!     store_string(alias_set, "val", hashIteratorCurrentVal(hash_i));
      storage_list_put(list, alias_set);
    }
    deleteHashIterator(hash_i);
diff -crN nakedmudv1.4/src/auxiliary.c nakedmudv1.5/src/auxiliary.c
*** nakedmudv1.4/src/auxiliary.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv1.5/src/auxiliary.c	2010-11-01 15:54:17.000000000 -0500
***************
*** 148,154 ****
      entry = hashIteratorCurrentVal(hash_i);
      hashIteratorNext(hash_i);
      funcs = auxiliariesGetFuncs(name);
!     store_set(set, name, funcs->store(entry), NULL);
    }
    deleteHashIterator(hash_i);
    return set;
--- 148,154 ----
      entry = hashIteratorCurrentVal(hash_i);
      hashIteratorNext(hash_i);
      funcs = auxiliariesGetFuncs(name);
!     store_set(set, name, funcs->store(entry));
    }
    deleteHashIterator(hash_i);
    return set;
diff -crN nakedmudv1.4/src/auxiliary.h nakedmudv1.5/src/auxiliary.h
*** nakedmudv1.4/src/auxiliary.h	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv1.5/src/auxiliary.h	2010-11-01 15:54:17.000000000 -0500
***************
*** 17,22 ****
--- 17,23 ----
  #define AUXILIARY_TYPE_CHAR      (1 << 0)
  #define AUXILIARY_TYPE_ROOM      (1 << 1)
  #define AUXILIARY_TYPE_OBJ       (1 << 2)
+ #define AUXILIARY_TYPE_ZONE      (1 << 3)
  
  
  //
